	SUBROUTINE CONCAT(STRING)
C
C	   Routine to concatenate STRING onto the end of the CCARD
C	   string in preparation of the Free Format Comments cards
C	   for the PDF Card Photocomp Interchange.
C
C	   By: Mark Holomany, JCPDS     Date: 16-Feb-1984
C
C
	IMPLICIT INTEGER (A-Z)

	CHARACTER  STRING*(*)

	COMMON /COMCRD/  CCARD, NUMPHC, CHPHC, CDCNT, FSTCRD, LINKCM,
	1                STCRD, NUMCD
	CHARACTER        CCARD*1760
	INTEGER          CDCNT(30), FSTCRD(30), LINKCM(20)
	INTEGER          STCRD(30)

D	INCLUDE 'IORET.CMN'
D	INCLUDE 'PDFDATA.CMN'

C\$INCLUDE:'IORET.CMN'
C\$INCLUDE:'PDFDATA.CMN'

	CALL ESTMOD ('CONCAT')

	L = LEN(STRING)
C-->	TYPE *,STRING,'<<'
C-->	TYPE *,'LENGTH=',L,'    CHPHC=',CHPHC
	IF(CHPHC+L .LE. 1760) THEN
	   CCARD(CHPHC + 1:CHPHC + L) = STRING
	   CHPHC = CHPHC + L
	ELSE

	   CALL ERRTXT ('W', 
	1    'Exceeded 1760 characters for free format comments')
	   CALL ERRTXT ('C', 'String(1:50)=')
	   CALL ERRTXT ('C', STRING(1:L))
	ENDIF

	CALL DESMOD ('CONCAT')
	RETURN
	END
